/* ---------------------------
   Global Box Sizing
----------------------------*/
* {
    box-sizing: border-box !important;
}

/* ---------------------------
   Start Inteli Default Theme
----------------------------*/
.main, .primary-bg-color {
    background: rgb(245, 226, 245) !important;
}

.secondary-txt-color, Link, a, .links {
    color: rgb(241, 115, 241) !important;
}

.secondary-bg-color {
    background-color: rgb(238, 42, 238) !important;
}

.btn-secondary-bg-color {
    background-color: rgb(238, 42, 238) !important;
}

.btn-secondary-bg-color:hover {
    background-color: rgb(235, 3, 235) !important;
}

.secondary-bg-color:hover {
    background-color: rgb(235, 3, 235) !important;
    box-shadow: 0px 4px 10px rgba(51, 33, 116, 0.25) !important;
    transform: translateY(-2px) !important;
    transition: all 0.25s ease !important;
}

.tertiary-bg-color, section {
    background-color: rgb(248, 215, 248) !important;
}

.tertiary-bg-color-2 {
    background-color: rgb(250, 212, 250) !important;
}

.txt-secondary-color {
    color: rgb(238, 42, 238) !important;
}

.primary-heading-color, h1, h2, h3, h4, h5, h6 {
    color: #120052 !important;
}

.primary-text-color, p, span, li, th, td, label, small {
    color: #332174 !important;
}

/* Cards */
.card, .card-bg-color {
    background-color: rgb(248, 217, 248) !important;
    border-color: #f1c7f1 !important;
    box-shadow: 0px 4px 8px rgba(51, 33, 116, 0.2) !important;
}

.card-border-color {
    border-color: #D3A3D3 !important;
}

.card-header-text-color, .card-text-color {
    color: #332174 !important;
}

/* Inputs */
input, textarea, select {
    background-color: #f2ebf7 !important;
    border: 1px solid #D3A3D3;
    color: #332174 !important;
}

.list-group-item {
    background-color: #e8cbfc !important;
}

.link-style, .links {
    color: rgb(241, 115, 241) !important; 
    text-decoration: none;
    font-weight: 500; 
    transition: color 0.3s ease-in-out, text-decoration 0.3s ease-in-out; 
}

.link-hover, .links:hover {
    color: #332174 !important; 
    text-decoration: underline; 
    background-color: rgb(245, 226, 245) !important;
}


/* ---------------------------
   Scrollbars for .custom-overflow-scroll (Global)
----------------------------*/

/* Chrome / Edge / Safari */
.custom-overflow-scroll::-webkit-scrollbar {
    width: 12px;   /* Adjust width here */
    height: 12px;  /* Adjust height for horizontal scroll */
}

.custom-overflow-scroll::-webkit-scrollbar-track {
    background: rgb(245, 226, 245);
    border-radius: 10px;
}

.custom-overflow-scroll::-webkit-scrollbar-thumb {
    background-color: rgb(241, 115, 241);
    border-radius: 10px;
    border: 2px solid rgb(245, 226, 245);
}

.custom-overflow-scroll::-webkit-scrollbar-thumb:hover {
    background-color: #332174;
}

/* Firefox */
.custom-overflow-scroll {
    scrollbar-width: auto;  /* normal thickness */
    scrollbar-color: rgb(241, 115, 241) rgb(245, 226, 245);
}
